version: '3.9'

services:

  node:
    networks:
      - traefik_network
    labels:
      - traefik.enable=true
      - traefik.http.routers.front_project_versioning_manager_secure.rule=Host(`project-versioning-manager.local.com`)
      - traefik.http.routers.front_project_versioning_manager_secure.entrypoints=websecure
      - traefik.http.routers.front_project_versioning_manager_secure.tls.certresolver=myresolver
      - traefik.http.services.front_project_versioning_manager_secure.loadbalancer.server.port=3000
      - traefik.docker.network=traefik_network

networks:
  traefik_network:
    name: traefik_network
    external: true
